Bug 242801 - F7 gnome-power-manager D-Bus Policy problem
Summary: F7 gnome-power-manager D-Bus Policy problem
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager   
(Show other bugs)
Version: 7
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 20:53 UTC by Lev
Modified: 2013-03-06 03:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-07 23:04:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lev 2007-06-05 20:53:38 UTC
Description of problem:

Hello,
when I try to suspend with gnome-power-manager
It notify some unknown error, in .xsession-errors it is

** (gnome-panel:2941): WARNING **: Could not ask power manager to suspend:
Method invoked for Suspend returned FALSE but did not set error

If I run:
dbus-send --session --dest=org.gnome.PowerManager --type=method_call
--print-reply --reply-timeout=2000 /org/gnome/PowerManager
org.gnome.PowerManager.Suspend

the error message:
Error org.freedesktop.DBus.GLib.ErrorError: Method invoked for Suspend returned
FALSE but did not set error

The suspend method itself works perfect if I run it by hand with
pm-suspend

lshal output:
  power_management.acpi.linux.version = '20070126'  (string)
  power_management.can_hibernate = true  (bool)
  power_management.can_suspend = true  (bool)
  power_management.can_suspend_hybrid = false  (bool)
  power_management.can_suspend_to_disk = true  (bool)
  power_management.can_suspend_to_ram = true  (bool)
  power_management.is_powersave_set = false  (bool)
  power_management.type = 'acpi'  (string)

gconftool-2 -R /apps/gnome-power-manager | grep can
 can_hibernate = true
 can_suspend = true

ps -eaf | grep hal
68        2555     1  0 12:24 ?        00:00:01 hald
root      2556  2555  0 12:24 ?        00:00:00 hald-runner
68        2567  2556  0 12:24 ?        00:00:00 hald-addon-keyboard: listening
on /dev/input/event1
68        2568  2556  0 12:24 ?        00:00:00 hald-addon-keyboard: listening
on /dev/input/event4
68        2569  2556  0 12:24 ?        00:00:00 hald-addon-keyboard: listening
on /dev/input/event6
68        2572  2556  0 12:24 ?        00:00:00 hald-addon-keyboard: listening
on /dev/input/event7
68        2573  2556  0 12:24 ?        00:00:00 hald-addon-keyboard: listening
on /dev/input/event8
root      2627  2556  0 12:24 ?        00:00:00 /usr/libexec/hald-addon-cpufreq
68        2628  2556  0 12:24 ?        00:00:00 hald-addon-acpi: listening on
acpid socket /var/run/acpid.socket
root      2636  2556  0 12:24 ?        00:00:01 hald-addon-storage: polling
/dev/scd0 (every 2 sec)


I tried to set policy in /etc/dbus-1/system.conf
to allow any user to do anything, but it does not help.

My smolt profile number is
e16b4e38-a73b-4323-bcb1-91938db0f084

Version-Release number of selected component (if applicable):
Fedora 7 fresh install on new system partition (with all updates) and the
home directory from previous FC6 (with all preferences)

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Richard Hughes 2007-06-07 14:05:52 UTC
Do you have consolekit running?

Comment 2 Lev 2007-06-07 22:00:13 UTC
No it was stopped. I start consolekit and reboot computer, after that the
problem has been solved. Thank you very much

Comment 3 David Zeuthen 2007-06-07 23:04:36 UTC
Well, if it's solved the bug should have been closed :-) - doing that for you;
thanks.


Note You need to log in before you can comment on or make changes to this bug.